<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright (c) 2012 to original author or authors All rights reserved. 
  This program and the accompanying materials are made available under the 
  terms of the Eclipse Public License v1.0 which accompanies this distribution, 
  and is available at http://www.eclipse.org/legal/epl-v10.html -->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

  <modelVersion>4.0.0</modelVersion>

  <parent>
    <groupId>io.takari.polyglot</groupId>
    <artifactId>polyglot</artifactId>
    <version>0.4.6</version>
  </parent>

  <artifactId>polyglot-maven-plugin</artifactId>
  <name>Polyglot :: Maven Plugin</name>
  <packaging>takari-maven-plugin</packaging>

  <dependencies>
    <dependency>
      <groupId>io.takari.polyglot</groupId>
      <artifactId>polyglot-common</artifactId>
    </dependency>
    <dependency>
      <groupId>org.apache.maven</groupId>
      <artifactId>maven-plugin-api</artifactId>
      <scope>provided</scope>
    </dependency>
    <dependency>
      <groupId>org.apache.maven.plugin-tools</groupId>
      <artifactId>maven-plugin-annotations</artifactId>
      <scope>provided</scope>
    </dependency>
  </dependencies>

  <build>
    <pluginManagement>
      <plugins>
        <plugin>
          <groupId>io.takari.maven.plugins</groupId>
          <artifactId>takari-lifecycle-plugin</artifactId>
          <configuration>
            <proc>proc</proc>
          </configuration>
        </plugin>
      </plugins>
    </pluginManagement>
    <plugins>
      <plugin>
        <artifactId>maven-surefire-plugin</artifactId>
        <configuration>
          <systemPropertyVariables>
            <projectversion>${project.version}</projectversion>
          </systemPropertyVariables>
        </configuration>
      </plugin>
    </plugins>
  </build>
</project>
